BlendLuxCore | Latest build from 26.01.2023 is out!

Download links:

LuxCoreRender v2.61a (Windows)

LuxCoreRender v2.61a (Linux)

LuxCoreRender v2.61a (MacOS)

7 Likes

Nice!! I am using Luxcore for a archviz project and the shading/lighting is next level compare to Cycles.

2 Likes

Is this 3.3+ (or 3.4) compatible?

Both are compatible.

1 Like

Somehow it fails with a cryptic message when I try to enable the addon on Win 11 x64.

Traceback (most recent call last):
  File "C:\BLENDER\3.4\scripts\modules\addon_utils.py", line 369, in enable
    mod.register()
  File "C:\Users\user\AppData\Roaming\Blender Foundation\Blender\3.4\scripts\addons\BlendLuxCore\__init__.py", line 90, in register
    nodes.register()
  File "C:\Users\user\AppData\Roaming\Blender Foundation\Blender\3.4\scripts\addons\BlendLuxCore\nodes\__init__.py", line 66, in register
    from . import materials, shapes, textures, volumes
  File "C:\Users\user\AppData\Roaming\Blender Foundation\Blender\3.4\scripts\addons\BlendLuxCore\nodes\materials\__init__.py", line 2, in <module>
    from . import (
  File "C:\Users\user\AppData\Roaming\Blender Foundation\Blender\3.4\scripts\addons\BlendLuxCore\nodes\materials\carpaint.py", line 18, in <module>
    class LuxCoreNodeMatCarpaint(bpy.types.Node, LuxCoreNodeMaterial):
TypeError: Cannot create a consistent method resolution
order (MRO) for bases Node, LuxCoreNodeMaterial

1 Like

Thank you for report. I fixed already it today. Will release today ASAP.

2 Likes

Will you support Linux in the future as well?

As I’m not Linux maintainer I don’t know about Linux OS. Maybe someone who can helps will fork my repo for other OS releases. But I don’t know about it.

Is Luxcore still alive? I stopped using it more than a year ago, whwn it seemed to have hit a development wall.

It has no fastest development but it still alive.

1 Like

New version is up!

2 Likes

Do you know if it has instancing (like the particle instances or the geonodes instances) support?

I think yes maybe?

1 Like

3 Likes

Will Luxcore work with vulkan? OpenGL is deprecating. Or will another solution be required?